// Copyright 2020 Datafuse Labs.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

mod source;
mod source_csv;
mod source_parquet;
mod source_values;

#[cfg(test)]
mod source_test;

pub use source::FormatSettings;
pub use source::Source;
pub use source_csv::CsvSource;
pub use source_parquet::ParquetSource;
pub use source_values::ValueSource;
